#
# spec file for package jasper
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jasper
BuildRequires:  gcc-c++
BuildRequires:  libdrm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtool
BuildRequires:  unzip
Url:            http://www.ece.uvic.ca/~mdadams/jasper/
Version:        1.900.1
Release:        165.5
Summary:        An Implementation of the JPEG-2000 Standard, Part 1
License:        SUSE-Public-Domain
Group:          Productivity/Graphics/Convertors
Source:         http://www.ece.uvic.ca/~frodo/jasper/software/%{name}-%{version}.zip
Source2:        baselibs.conf
Patch:          %{name}-%{version}-uninitialized.patch
Patch2:         %{name}-%{version}-bug258253.patch
Patch3:         %{name}-%{version}-bug392410.patch
Patch4:         %{name}-%{version}-no-undef-true-false.patch
Patch5:         jasper-1.900.1-bug725758.patch
Patch6:         jasper-overflow-bnc906364.patch
Patch7:         jasper-CVE-2014-8137.patch
Patch8:         jasper-CVE-2014-8138.patch
Patch9:         jasper-CVE-2014-8157.patch
Patch10:        jasper-CVE-2014-8158.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains an implementation of the image compression
standard, JPEG-2000, Part 1. It consists of tools for conversion to and
from the JP2 and JPC formats.

%package -n libjasper1
Summary:        JPEG-2000 library
Group:          Productivity/Graphics/Convertors
# bug437293
%ifarch ppc64
Obsoletes:      libjasper-64bit
%endif
# used in <= 11.3
Obsoletes:      libjasper
Provides:       libjasper
#

%description -n libjasper1
This package contains libjasper, a library implementing the JPEG-2000
image compression standard Part 1.

%package -n libjasper-devel
Summary:        JPEG-2000 library - files mandatory for development
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      libjasper-devel-64bit
%endif
#
Requires:       libjasper1 = %{version}
Requires:       libjpeg-devel

%description -n libjasper-devel
This package contains libjasper, a library implementing the JPEG-2000
image compression standard Part 1.

%prep
%setup -q
%patch
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
autoreconf -i -f
export CFLAGS="$RPM_OPT_FLAGS -Wall"
%configure --prefix=/usr --enable-shared --disable-static --libdir=%{_libdir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv doc/README doc/README.doc
rm $RPM_BUILD_ROOT/usr/bin/tmrdemo
# compatibility link, there was no interface change
ln -s libjasper.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libjasper-1.701.so.1

%post -n libjasper1 -p /sbin/ldconfig

%postun -n libjasper1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT INSTALL LICENSE NEWS README doc/*
/usr/bin/imgcmp
/usr/bin/imginfo
/usr/bin/jasper
%{_mandir}/man*/*

%files -n libjasper1
%defattr(-,root,root)
%{_libdir}/libjasper*.so.*

%files -n libjasper-devel
%defattr(-,root,root)
/usr/include/jasper
%{_libdir}/libjasper.so
%{_libdir}/libjasper.la

%changelog
* Wed Jan 14 2015 nadvornik@suse.com
- fixed CVE-2014-8157, CVE-2014-8158 (bnc#911837)
* Fri Dec 19 2014 nadvornik@suse.com
- fixed CVE-2014-8137, CVE-2014-8138 (bnc#909474, bnc#909475)
* Tue Dec  2 2014 nadvornik@suse.com
- fixed possible overflow CVE-2014-9029 (bnc#906364)
* Thu Jun 12 2014 nadvornik@suse.com
- added obsoletes and provides of libjasper-32bit (bnc#881716)
* Wed Mar  5 2014 nadvornik@suse.com
- fixed possible overflow (bnc#725758, bnc#830803)
* Wed Sep 11 2013 pgajdos@suse.com
- added no-undef-true-false.patch to fix [bnc#839584]
* Thu Mar 28 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%configure macro
* Mon Aug  2 2010 coolo@novell.com
- fix baselibs.conf
* Thu Jul 29 2010 coolo@novell.com
- do not build the highlevel image viewer in a basic library
  (in case someone needs it, we better do a 2nd spec file)
- follow shared library policy
* Wed Dec 16 2009 jengelh@medozas.de
- add baselibs.conf as a source
- enable parallel building
* Tue Jan 13 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Wed Nov 12 2008 nadvornik@suse.cz
- use the last version of the patches [bnc#392410]
* Tue May 27 2008 nadvornik@suse.cz
- fixed multiple integer overflows [bnc#392410]
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Apr 19 2007 nadvornik@suse.cz
- updated to bugfix release 1.900.1
- created libjasper-devel subpackage
- do not build static libs
- added compat symlink libjasper-1.701.so.1 -> libjasper.so.1.0.0
- fixed various crashes on malformed input [#258253]
* Mon May 22 2006 pnemec@suse.cz
- fixed uninitialized varibale #176395
  added -uninitialzed.patch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun 14 2004 sbrabec@suse.cz
- Updated to version 1.701.0.
* Thu Feb  5 2004 sbrabec@suse.cz
- Updated to version 1.700.5.
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Thu Jul 24 2003 nadvornik@suse.cz
- updated to 1.700.2
* Sun May 11 2003 ro@suse.de
- added libstdc++-devel to neededforbuild
* Wed Oct 23 2002 uli@suse.de
- update -> 1.600.0 (improved support for the JP2 format, new
  application program "jiv" (simple image viewer), improved support
  for the PNM family of formats, numerous other minor bugs fixed)
* Sat Aug 24 2002 ro@suse.de
- fix doc file section for new cp behaviour
* Tue Jul  2 2002 meissner@suse.de
- buildrooted, run autoreconf*
* Thu Apr 18 2002 sf@suse.de
- added %%{_libdir} to configure for lib/lib64
- added %%{suse_update_config}
* Fri Jan 25 2002 uli@suse.de
- update -> 1.500.4 (improved docs)
* Thu Dec  6 2001 uli@suse.de
- update -> 1.500.3 (fixes)
* Thu Aug 16 2001 uli@suse.de
- build shared lib, too
* Mon Jul 30 2001 uli@suse.de
- initial package
